Bug 1002420 - Reduce flickering of map canvas
Reduce flickering of map canvas
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: qgis (Show other bugs)
19
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Volker Fröhlich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 03:36 EDT by Matthias Kuhn
Modified: 2015-02-18 06:25 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:25:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to qgis package branch (1.34 KB, patch)
2013-08-29 04:28 EDT, Matthias Kuhn
no flags Details | Diff

  None (edit)
Description Matthias Kuhn 2013-08-29 03:36:58 EDT
Spec URL: http://pastie.org/pastes/8278047/download
SRPM URL: http://kojipkgs.fedoraproject.org//work/tasks/6390/5866390/qgis-1.8.0-14.fc19.src.rpm

Description:
By specifying the environment variable QT_GRAPHICSSYSTEM=X11 in the qgis.desktop file, the flickering of the map canvas in drag operations or when using a rubberband (measuring etc) is considerably reduced.

For reference see this mail: http://lists.osgeo.org/pipermail/qgis-developer/2013-August/027979.html

Fedora Account System Username: mkuhn

I'm an active upstream developer. This is my first package and I need a sponsor.
Comment 1 Christopher Meng 2013-08-29 03:52:01 EDT
qgis is in Fedora.

??
Comment 2 Dan Horák 2013-08-29 03:55:25 EDT
Switching from package review to regular bug report, because qgis is already included in Fedora. I think the current qgis maintainers will welcome you as a co-maintainer. I can act as a proxy sponsor if needed.
Comment 4 Matthias Kuhn 2013-08-29 04:28:29 EDT
Created attachment 791644 [details]
Patch to qgis package branch
Comment 5 Matthias Kuhn 2013-08-29 04:31:39 EDT
I included a patch which is probably easier to apply and review.

I will be happy to act as a co-maintainer. In fact I have been discussing this already a couple of months ago with the current maintainer, but the idea somehow got lost.
Comment 6 Dan Horák 2013-08-29 04:54:20 EDT
ok, let's wait on Volker
Comment 7 Volker Fröhlich 2013-08-29 20:36:27 EDT
Co-maintainers are warmly welcome in general, just apply via pkgdb!

@Matthias: I can't remember discussing it, sorry. I'm still abroad and will not find time for any non-trivial changes until September 10th.
Comment 8 Matthias Kuhn 2013-08-30 01:53:12 EDT
Sorry, this is all new to me. I tried to apply via "Add myself to package" but I can only apply to the two "watch" acl's but on "commit" I get an error indicating 

mkuhn must be in one of these groups: ('cvsadmin', 'packager', 'provenpackager', 'newpackager') to hold the commit acl

Am I totally off track or is this the part where I need to get sponsored?

@Volker it was mainly about the integration of osgearth back then and co-maintaining was discussed on a side-not IIRC.
Comment 9 Christopher Meng 2013-09-05 23:04:43 EDT
7 days passed.
Comment 10 Volker Fröhlich 2013-09-10 17:05:45 EDT
Of course 7 days passed! I said I won't get to it until the 10th!
Comment 11 Christopher Meng 2014-01-24 03:31:10 EST
Matthias, you can ask some sponsors to sponsor you directly because you are the current upstream.

But since this is a small, Volker, are you still busy now?
Comment 12 Matthias Kuhn 2014-01-24 08:12:59 EST
I'm in contact with Volker concerning sponsoring (Or will be again, as soon as time will allow me to. Probably mid-2014)

Concerning the patch, I think we can dismiss it, as it is not a nice fix (e.g. doesn't work from the command line) it is not urgent, and currently there is work underway to fix this properly upstream. Currently it looks like a proper fix (threaded rendering) will be part of 2.4 (Expected release time: July 2014).

If there is demand, I will create a package containing this change in my private repository as soon as the changes are merged to master.
Comment 13 Fedora End Of Life 2015-01-09 17:16:44 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-18 06:25:37 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.